# Uses of Interface
javax.xml.stream.XMLEventReader

Packages that use XMLEventReader
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.util
Provides utility classes for the Streaming API for XML (StAX).
javax.xml.transform.stax
Provides StAX specific transformation classes.

## Uses of XMLEventReader in javax.xml.stream

Methods in javax.xml.stream that return XMLEventReader
Modifier and Type
Method
Description
`abstract XMLEventReader`
XMLInputFactory.`createFilteredReader​(XMLEventReader reader, EventFilter filter)`
Create a filtered event reader that wraps the filter around the event reader
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader​(InputStream stream)`
Create a new XMLEventReader from a java.io.InputStream
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader​(InputStream stream, String encoding)`
Create a new XMLEventReader from a java.io.InputStream
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader​(Reader reader)`
Create a new XMLEventReader from a reader.
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader​(String systemId, InputStream stream)`
Create a new XMLEventReader from a java.io.InputStream
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader​(String systemId, Reader reader)`
Create a new XMLEventReader from a reader.
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader​(XMLStreamReader reader)`
Create a new XMLEventReader from an XMLStreamReader.
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader​(Source source)`
Create a new XMLEventReader from a JAXP source.
Methods in javax.xml.stream with parameters of type XMLEventReader
Modifier and Type
Method
Description
`void`
XMLEventWriter.`add​(XMLEventReader reader)`
Adds an entire stream to an output stream, calls next() on the inputStream argument until hasNext() returns false This should be treated as a convenience method that will perform the following loop over all the events in an event reader and call add on each event.
`abstract XMLEventReader`
XMLInputFactory.`createFilteredReader​(XMLEventReader reader, EventFilter filter)`
Create a filtered event reader that wraps the filter around the event reader

## Uses of XMLEventReader in javax.xml.stream.util

Classes in javax.xml.stream.util that implement XMLEventReader
Modifier and Type
Class
Description
`class`
`EventReaderDelegate`
This is the base class for deriving an XMLEventReader filter.
Methods in javax.xml.stream.util that return XMLEventReader
Modifier and Type
Method
Description
`XMLEventReader`
EventReaderDelegate.`getParent()`
Get the parent of this instance.
Methods in javax.xml.stream.util with parameters of type XMLEventReader
Modifier and Type
Method
Description
`void`
EventReaderDelegate.`setParent​(XMLEventReader reader)`
Set the parent of this instance.
Constructors in javax.xml.stream.util with parameters of type XMLEventReader
Modifier
Constructor
Description
``
`EventReaderDelegate​(XMLEventReader reader)`
Construct an filter with the specified parent.

## Uses of XMLEventReader in javax.xml.transform.stax

Methods in javax.xml.transform.stax that return XMLEventReader
Modifier and Type
Method
Description
`XMLEventReader`
StAXSource.`getXMLEventReader()`
Get the `XMLEventReader` used by this `StAXSource`.
Constructors in javax.xml.transform.stax with parameters of type XMLEventReader
Modifier
Constructor
Description
``
`StAXSource​(XMLEventReader xmlEventReader)`
Creates a new instance of a `StAXSource` by supplying an `XMLEventReader`.